//
// This should be used only for worldgen/biome tags

ServerEvents.tags("worldgen/biome", (event) => {
  // Biome Tagging for Ore Excavation
  event.add("dimdungeons:ore_veins", ["dimdungeons:biome_dungeon"]);
  event.add("ad_astra:moon_ore_veins", ["ad_astra:lunar_wastelands"]);
  event.add("ad_astra:mars_ore_veins", [/^ad_astra:martian.*/]);
  event.add("ad_astra:venus_ore_veins", [
    "ad_astra:venus_wastelands",
    "ad_astra:infernal_venus_barrens",
  ]);
  event.add("alexscaves:toxic_ore_veins", ["alexscaves:toxic_caves"]);

  // Remove Alex's Caves from Overworld Biomes
  event.remove("forge:is_sparse/overworld", [
    "alexscaves:magnetic_caves",
    "alexscaves:toxic_caves",
    "alexscaves:forlorn_hollows",
  ]);
  event.remove("forge:is_wasteland", "alexscaves:toxic_caves");
  event.remove("forge:is_spooky", "alexscaves:forlorn_hollows");

  /* Biome Tagging for Oil
  event.removeAll("createdieselgenerators:oil_biomes");
  event.add("createdieselgenerators:oil_biomes", "alexscaves:primordial_caves"); */
event.add("generikb:is_overworld", "#minecraft:is_overworld")
event.remove("generikb:is_overworld","regions_unexplored:tropics")


  // Biome Tagging for Structure Generation
  event.add("repurposed_structures:has_structure/pyramids/moon", [
    "ad_astra:lunar_wastelands",
  ]);

  event.add("repurposed_structures:has_structure/fortresses/mars", [
    "ad_astra:martian_wastelands",
  ]);
});
